diff --git a/BoardConfigCommon.mk b/BoardConfigCommon.mk
index bdde9bb..4b6a58b 100644
--- a/BoardConfigCommon.mk
+++ b/BoardConfigCommon.mk
@@ -143,7 +143,7 @@ BOARD_VENDOR_TI_GPS_HARDWARE := omap4
 BOARD_GPS_LIBRARIES := libgps
 
 # adb runs as user
-ADDITIONAL_DEFAULT_PROPERTIES += ro.secure=1
+ADDITIONAL_DEFAULT_PROPERTIES += ro.secure=0
 ADDITIONAL_DEFAULT_PROPERTIES += ro.allow.mock.location=1
 
 # Recovery
diff --git a/domx/domx/plugins/memplugin_ion.c b/domx/domx/plugins/memplugin_ion.c
index 6fa6de0..1b7aeb4 100644
--- a/domx/domx/plugins/memplugin_ion.c
+++ b/domx/domx/plugins/memplugin_ion.c
@@ -137,7 +137,7 @@ MEMPLUGIN_ERRORTYPE MemPlugin_ION_Alloc(void *pMemPluginHandle, OMX_U32 nClient,
 {
     OMX_S16 ret;
     struct ion_handle *temp;
-    size_t stride;
+    size_t stride = 0;
     MEMPLUGIN_ERRORTYPE eError = MEMPLUGIN_ERROR_NONE;
     MEMPLUGIN_ION_PARAMS sIonParams;
     MEMPLUGIN_OBJECT    *pMemPluginHdl = (MEMPLUGIN_OBJECT *)pMemPluginHandle;
diff --git a/overlay/frameworks/base/core/res/res/values/arrays.xml b/overlay/frameworks/base/core/res/res/values/arrays.xml
index 640e293..c94667e 100644
--- a/overlay/frameworks/base/core/res/res/values/arrays.xml
+++ b/overlay/frameworks/base/core/res/res/values/arrays.xml
@@ -20,10 +20,12 @@
 <resources xmlns:xliff="urn:oasis:names:tc:xliff:document:1.2">
 
     <!-- Defines the shutdown options shown in the reboot dialog. -->
+    <!--
     <array name="shutdown_reboot_options" translatable="false">
         <item>@string/reboot_reboot</item>
         <item>@string/reboot_soft</item>
         <item>@string/reboot_recovery</item>
     </array>
+    -->
 
 </resources>
diff --git a/overlay/frameworks/base/core/res/res/values/config.xml b/overlay/frameworks/base/core/res/res/values/config.xml
index 1d6b6db..f2e8a5f 100644
--- a/overlay/frameworks/base/core/res/res/values/config.xml
+++ b/overlay/frameworks/base/core/res/res/values/config.xml
@@ -256,10 +256,14 @@
     <bool name="config_enableLockScreenTranslucentDecor">true</bool>
 
     <!-- Device supports LED flashlight -->
+    <!--
     <bool name="config_enableTorch">true</bool>
+    -->
 
     <!-- Use analog dock-connector if device is connected (auto-sensing) -->
+    <!--
     <bool name="config_forceAnalogDeskDock">true</bool>
     <bool name="config_forceAnalogCarDock">true</bool>
+    -->
 </resources>
 
diff --git a/root/default.prop b/root/default.prop
index 06562ff..1302389 100644
--- a/root/default.prop
+++ b/root/default.prop
@@ -1,7 +1,7 @@
 #
 # ADDITIONAL_DEFAULT_PROPERTIES
 #
-ro.secure=1
+ro.secure=0
 ro.allow.mock.location=1
 ro.debuggable=1
 
